.overlay {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 10;
    background: rgba(0,0,0,.7);
    opacity: 0;
    visibility: hidden;
    will-change: opacity;
    transition: opacity .3s,visibility .3s;
}

.open .overlay {
    opacity: 1;
    visibility: visible;
    z-index: 9;
}

.action-close {
    display: block;
    width: 24px;
    height: 24px;
    background: url(../img/icon-cross-black.svg) no-repeat center center;
    background-size: cover;
    -moz-background-size: cover;
    -webkit-background-size: cover;
    -o-background-size: cover;
    cursor: pointer;
}

/* FROM THEME */

input[type='radio']:checked + label::before, input[type='radio']:checked + span::before, input[type='checkbox']:checked + label::before, input[type='checkbox']:checked + span::before {
    box-shadow: none !important;
    opacity: 1 !important;
}

input[type='radio'] + label::before, input[type='radio'] + span::before, input[type='checkbox'] + label::before, input[type='checkbox'] + span::before {
    border: none !important;
}

/* CHECKBOX */

.checkbox {
  display: block;
  position: relative;
  margin: 0 0 10px;
  font-size: 16px;
  line-height: 24px;
}
.checkbox__input {
  position: absolute;
  top: 4px;
  left: 0;
  width: 16px;
  height: 16px;
  opacity: 0;
  z-index: 0;
}
.checkbox__label {
  display: block !important;
  padding: 0 0 0 30px;
  cursor: pointer !important;
  font-size: 12px;
  letter-spacing: 2px;
  text-transform: uppercase;
  font-weight: bold;
}
.checkbox__label:before {
  content: "" !important;
  position: absolute;
  top: 2px;
  left: 0;
  width: 16px !important;
  height: 16px !important;
  background-color: transparent !important;
  border: 1px solid #191919 !important;
  z-index: 1;
  transition: all 0.28s cubic-bezier(0.4, 0, 0.2, 1) !important;
  transition-property: background-color, border-color !important;
}
.checkbox__label:after {
  content: "";
  position: absolute;
  top: 4px;
  left: 6px;
  width: 4px;
  height: 10px;
  border-bottom: 1px solid transparent;
  border-right: 1px solid transparent;
  transform: rotate(45deg);
  z-index: 2;
  transition: border-color 0.28s cubic-bezier(0.4, 0, 0.2, 1);
}
.checkbox__input:checked + .checkbox__label:before {
  background-color: #C55142 !important;
  border-color: #C55142 !important;
}
.checkbox__input:checked + .checkbox__label:after {
  border-color: #fff !important;
}

/* CTA */

.cta {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
    color: #fff;
    padding-right: 51px;
    position: relative;
    border: none;
}

.cta-black {
    background-color: #191919;
}

.cta-red {
    background-color: #C55142;
}

.cta:before {
    content:'';
    position: absolute;
    width: 21px;
    height: 14px;
    background: url(../img/icon-arrow-right-white.svg) no-repeat center center;
    background-size: cover;
    -moz-background-size: cover;
    -webkit-background-size: cover;
    -o-background-size: cover;
    right: 20px;
}

/* INPUT */

.input-field input {
    height: 50px;
    width: 100%;
    display: flex;
    align-items: center;
    padding: 0 15px;
    border: solid 1px #DBDBDB;
    border-radius: 0;
}

/* SELECT */

.select-box {
    display: inline-block;
    overflow: hidden;
    text-align: left;
    position: relative;
  
}

.select-box::after {
    content: "";
    position: absolute;
    width: 10px;
    height: 5px;
    background: url(../img/icon-chevron-down-black.svg) no-repeat center center;
    background-size: cover;
    -moz-background-size: cover;
    -webkit-background-size: cover;
    -o-background-size: cover;
    pointer-events: none;
    position: absolute;
    top: 50%;
    right: 15px;
    margin-top: -3px;
}

.select {
    width: 100%;
    height: 50px;
    padding: 0 15px;
    border: none;
    border-radius: 0;
    box-sizing: border-box;
    background-color: transparent;
    background-image: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: solid 1px #DBDBDB;
}

input[disabled],
.select[disabled] {
    background-color: #d8d8d8;
}

.select:focus {
  outline: none;
}

select {
  /* for Firefox */
  -moz-appearance: none;
  /* for Chrome */
  -webkit-appearance: none;
}

/* For IE10 */
select::-ms-expand {
  display: none;
}

/* PAGE HEADER */

.page-header {
    z-index: 0 !important;
}


/* MODAL BOOK */

.modal {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    padding: 20px;
}

.modal-content {
    text-align: center;
    background: #fff;
    padding: 50px;
    position: fixed;
    max-width: 700px;
    margin: 0 auto;
    opacity: 0;
    visibility: hidden;
    will-change: opacity;
    transition: opacity .3s,visibility .3s;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
}

.open .modal-content {
    opacity: 1;
    visibility: visible;
    z-index: 10;
}

.modal-content .action-close {
    position: absolute;
    top: 20px;
    right: 20px;
}

.modal-content h2 {
    font-size: 34px;
    padding-bottom: 20px;
}

.book-class-form {
    display: flex;
    row-gap: 20px;
    flex-wrap: wrap;
}

.input-field {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 20px;
    flex: 0 0 100%;
}

.input-field > * {
    flex: 0 0 calc(50% - 10px);
}

/* RESPONSIVE */

@media screen and (min-width: 769px) {

    .cta:hover {
        color: #fff;
        transition: .3s;
    }

    .cta-black:hover {
        background: #C55142;
        transition: .3s;
    }
}

@media screen and (max-width: 550px) {
    .modal-content {
        padding: 20px;
    }

    .input-field > * {
        flex: 0 0 100%;
    }
}
